VideoOutputPort

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.ocap.hardware
Class VideoOutputPort

    java.lang.Object
      org.ocap.hardware.VideoOutputPort

    public abstract class VideoOutputPort

extends Object

An object of this class represents an analog or digital video output of the OCAP terminal. If the type is the analog video output, it is mapped to a physical pin plug of the video output. If the type is the digital serial output, it is mapped to a physical pin plug of the video output. If the type is the digital bus output, it is mapped to a bus node that has several output ports. For example, if the type is the 1394 bus, the VideoOutputPort instance represents not the 1394 port (physical pin plug) but the 1394 node that has several 1394 ports.

An application cannot construct an instance of this class directly. Instead, the Host.getVideoOutputPorts() method is used to obtain a java.util.Enumeration of references to VideoOutputPort instances. The Enumeration.nextElement() method can be used to obtain references to individual VideoOutputPort instances.

The video port is a scarce resource, but the resource management framework is not applied. At most only one 1394 connection is available for a single OCAP implementation. If some applications call VideoOutputPort.select1394sink(), only the last call is effective. The other calls are ignored or disconnected without any notification.

Field Summary
`static int` | `AV_OUTPUT_PORT_TYPE_1394` AV Output Port Type 1394 (Firewire)
`static int` | `AV_OUTPUT_PORT_TYPE_BB` AV Output Port Type Baseband (RCA connector)
`static int` | `AV_OUTPUT_PORT_TYPE_COMPONENT_VIDEO` AV Output Port Type Component Video
`static int` | `AV_OUTPUT_PORT_TYPE_DVI` AV Output Port Type DVI (Panel Link, HDCP)
`static int` | `AV_OUTPUT_PORT_TYPE_HDMI` AV Output Port Type HDMI
`static int` | `AV_OUTPUT_PORT_TYPE_INTERNAL` AV Output Port Type Internal (integrated/internal display)
`static int` | `AV_OUTPUT_PORT_TYPE_RF` AV Output Port Type RF channel 3/4
`static int` | `AV_OUTPUT_PORT_TYPE_SVIDEO` AV Output Port Type S-Video
`static int` | `CAPABILITY_TYPE_DTCP` AV Output Port Capability Type DTCP
`static int` | `CAPABILITY_TYPE_HDCP` AV Output Port Capability Type HDCP
`static int` | `CAPABILITY_TYPE_RESOLUTION_RESTRICTION` AV Output Port Capability Type Resolution Restriction for HD Video

Method Summary
`abstract void` | `disable()` Disable the video output port, that is, prevent the video output from this port.
`abstract void` | `enable()` Enable the video output port, that is, allow the video output from this port.
`abstract IEEE1394Node[]` | `getIEEE1394Node()` Get the list of IEEE1394Node corresponding to all the 1394 nodes that were discovered by the OpenCable Host device.
`abstract int` | `getType()` Get the type of this VideoOutputPort.
`abstract Object` | `queryCapability(int capabilityType)` Query the value related to specified capabilityType.
`abstract void` | `selectIEEE1394Sink(byte[] eui64, short subunitType)` Select an IEEE1394 sink node which will establish a stream connection to the node of the OCAP implementation and give a parameter to establish a point to point AV connection.
`abstract boolean` | `status()` This method returns a current status of this video output port.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### AV_OUTPUT_PORT_TYPE_RF

    public static final int AV_OUTPUT_PORT_TYPE_RF

  AV Output Port Type RF channel 3/4

  See Also:
    Constant Field Values

### AV_OUTPUT_PORT_TYPE_BB

    public static final int AV_OUTPUT_PORT_TYPE_BB

  AV Output Port Type Baseband (RCA connector)

  See Also:
    Constant Field Values

### AV_OUTPUT_PORT_TYPE_SVIDEO

    public static final int AV_OUTPUT_PORT_TYPE_SVIDEO

  AV Output Port Type S-Video

  See Also:
    Constant Field Values

### AV_OUTPUT_PORT_TYPE_1394

    public static final int AV_OUTPUT_PORT_TYPE_1394

  AV Output Port Type 1394 (Firewire)

  See Also:
    Constant Field Values

### AV_OUTPUT_PORT_TYPE_DVI

    public static final int AV_OUTPUT_PORT_TYPE_DVI

  AV Output Port Type DVI (Panel Link, HDCP)

  See Also:
    Constant Field Values

### AV_OUTPUT_PORT_TYPE_COMPONENT_VIDEO

    public static final int AV_OUTPUT_PORT_TYPE_COMPONENT_VIDEO

  AV Output Port Type Component Video

  See Also:
    Constant Field Values

### AV_OUTPUT_PORT_TYPE_HDMI

    public static final int AV_OUTPUT_PORT_TYPE_HDMI

  AV Output Port Type HDMI

  See Also:
    Constant Field Values

### AV_OUTPUT_PORT_TYPE_INTERNAL

    public static final int AV_OUTPUT_PORT_TYPE_INTERNAL

  AV Output Port Type Internal (integrated/internal display)

  See Also:
    Constant Field Values

### CAPABILITY_TYPE_DTCP

    public static final int CAPABILITY_TYPE_DTCP

  AV Output Port Capability Type DTCP

  See Also:
    Constant Field Values

### CAPABILITY_TYPE_HDCP

    public static final int CAPABILITY_TYPE_HDCP

  AV Output Port Capability Type HDCP

  See Also:
    Constant Field Values

### CAPABILITY_TYPE_RESOLUTION_RESTRICTION

    public static final int CAPABILITY_TYPE_RESOLUTION_RESTRICTION

  AV Output Port Capability Type Resolution Restriction for HD Video

  See Also:
    Constant Field Values

Method Detail

### enable

    public abstract void enable()

  Enable the video output port, that is, allow the video output from this port. A stream connection is established and an AV stream is output. The status() method is used to confirm the result of this method call.

  Throws:
    `SecurityException` - if the caller has not been granted MonitorAppPermission("setVideoPort")
    `IllegalStateException` - if the host couldn’t enable the port in cases where the Host is unable to start a signal from the port, e.g. in the case where another 1394 port has a connection that prevents a new connection.

### disable

    public abstract void disable()

  Disable the video output port, that is, prevent the video output from this port. The stream connection is disconnected. If the port does not support a disabling function, this method affects nothing. The status() method is used to confirm the result of this method call. Note that the specific port types that support disabling are specified elsewhere, for example, by the OpenCable Host Core Functional Requirement, CHILA/PHILA. Note that FCC may provide rules for port disabling.

  Throws:
    `SecurityException` - if the caller has not been granted MonitorAppPermission("setVideoPort")
    `IllegalStateException` - if this method is called for a VideoOutputPort which does not support disabling, or the host couldn’t disable the port in cases where the Host is unable to terminate a signal from the port, e.g. in the case where a 1394 port has overlayed connections.

### status

    public abstract boolean status()

  This method returns a current status of this video output port.

  Returns:
    enable/disable status of video output port. If true output port is enabled, otherwise it is disabled.

### queryCapability

    public abstract Object queryCapability(int capabilityType)

  Query the value related to specified capabilityType.

  Parameters:
    `capabilityType` - The capability type to query the value CAPABILITY_TYPE_xxx
  Returns:
    The value related to the specified capabilityType will return as follows:
    - CAPABILITY_TYPE_DTCP-java.lang.Boolean which indicates DTCP is available (TRUE) or not will return.
    - CAPABILITY_TYPE_HDCP-java.lang.Boolean which indicates HDCP is available (TRUE) or not will return.
    - CAPABILITY_TYPE_RESOLUTION_RESTRICTION-java.lang.Integer which indicates the restricted pixel size for HD video will return.

### getIEEE1394Node

    public abstract IEEE1394Node[] getIEEE1394Node()

  Get the list of IEEE1394Node corresponding to all the 1394 nodes that were discovered by the OpenCable Host device. The 1394 node which does not have EUI-64 is ignored.

  Returns:
    An array of IEEE1394Node. The first IEEE1394Node in the array represents the 1394 node of the OCAP implementation itself.
  Throws:
    `IllegalStateException` - if this method is called for the VideoOutputPort which does not represent AV_OUTPUT_PORT_TYPE_1394.
    `SecurityException` - if the caller has not been granted MonitorAppPermission("setVideoPort")

### selectIEEE1394Sink

    public abstract void selectIEEE1394Sink(byte[] eui64,
                                            short subunitType)

  Select an IEEE1394 sink node which will establish a stream connection to the node of the OCAP implementation and give a parameter to establish a point to point AV connection. This method neither establishes a connection nor outputs a stream. An application must call VideoOutputPort.enable() to establish a connection and output a stream. The stream connection parameters which are not specified by this method are assigned by the OCAP implementation automatically. For example, oPCR is selected by the OCAP implementation. A source of an AV stream is a tuner of the OCAP implementation.

  Parameters:
    `eui64` - an unsigned big endian 64-bits value of EUI-64 of a sink node.
    `subunitType` - type value of a sink AV subunit to be connected.
  Throws:
    `IllegalArgumentException` - if eui64 is not valid.
    `IllegalStateException` - if this method is called for the VideoOutputPort which does not represent AV_OUTPUT_PORT_TYPE_1394.
    `SecurityException` - if the caller has not been granted MonitorAppPermission("setVideoPort")

### getType

    public abstract int getType()

  Get the type of this VideoOutputPort.

  Returns:
    The integer representation of the VideoOutputPort type. That is, one of the AV_OUTPUT_PORT_TYPE constants.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD